zenilib: TT_FaceRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
TT_FaceRec_ Struct Reference

`#include <tttypes.h>`

## Public Attributes

TT_Loader_StartGlyphFunc | access_glyph_frame
FT_ULong | cmap_size
FT_Byte * | cmap_table
FT_Short * | cvt
FT_Byte * | cvt_program
FT_ULong | cvt_program_size
FT_ULong | cvt_size
TT_Table | dir_tables
FT_Generic | extra
FT_Byte * | font_program
FT_ULong | font_program_size
TT_Loader_EndGlyphFunc | forget_glyph_frame
FT_ULong | format_tag
TT_GaspRec | gasp
FT_ULong | glyf_len
FT_Byte * | glyph_locations
TT_Loader_GotoTableFunc | goto_table
FT_UInt | hdmx_record_count
FT_ULong | hdmx_record_size
FT_Byte * | hdmx_record_sizes
FT_Byte * | hdmx_table
FT_ULong | hdmx_table_size
TT_Header | header
TT_HoriHeader | horizontal
FT_Byte * | horz_metrics
FT_ULong | horz_metrics_offset
FT_ULong | horz_metrics_size
TT_Interpreter | interpreter
FT_UInt32 | kern_avail_bits
FT_UInt32 | kern_order_bits
FT_Byte * | kern_table
FT_ULong | kern_table_size
TT_MaxProfile | max_profile
TT_NameTableRec | name_table
FT_UInt | num_kern_tables
FT_ULong | num_locations
FT_UShort | num_names
FT_ULong | num_sbit_scales
FT_UShort | num_tables
TT_OS2 | os2
TT_PCLT | pclt
TT_Postscript | postscript
const char * | postscript_name
TT_Post_NamesRec | postscript_names
void * | psnames
TT_Loader_ReadGlyphFunc | read_composite_glyph
TT_Loader_ReadGlyphFunc | read_glyph_header
TT_Loader_ReadGlyphFunc | read_simple_glyph
FT_FaceRec | root
FT_UInt | sbit_num_strikes
TT_SBit_Scale | sbit_scales
FT_Byte * | sbit_table
FT_ULong | sbit_table_size
void * | sfnt
TTC_HeaderRec | ttc_header
FT_Byte * | vert_metrics
FT_ULong | vert_metrics_offset
FT_ULong | vert_metrics_size
TT_VertHeader | vertical
FT_Bool | vertical_info

## Detailed Description

Definition at line 1258 of file tttypes.h.

## Member Data Documentation

TT_Loader_StartGlyphFunc TT_FaceRec_::access_glyph_frame

Definition at line 1290 of file tttypes.h.

Referenced by load_truetype_glyph().

FT_ULong TT_FaceRec_::cmap_size

Definition at line 1286 of file tttypes.h.

FT_Byte* TT_FaceRec_::cmap_table

Definition at line 1285 of file tttypes.h.

FT_Short* TT_FaceRec_::cvt

Definition at line 1357 of file tttypes.h.

Referenced by tt_face_done(), and tt_loader_init().

FT_Byte* TT_FaceRec_::cvt_program

Definition at line 1353 of file tttypes.h.

Referenced by tt_face_done().

FT_ULong TT_FaceRec_::cvt_program_size

Definition at line 1352 of file tttypes.h.

Referenced by tt_face_done().

FT_ULong TT_FaceRec_::cvt_size

Definition at line 1356 of file tttypes.h.

Referenced by tt_face_done().

TT_Table TT_FaceRec_::dir_tables

Definition at line 1266 of file tttypes.h.

Referenced by sfnt_table_info(), tt_check_trickyness_sfnt_ids(), and tt_get_sfnt_checksum().

FT_Generic TT_FaceRec_::extra

Definition at line 1382 of file tttypes.h.

Referenced by cff_cmap_encoding_init(), cff_cmap_unicode_char_index(), cff_cmap_unicode_char_next(), cff_cmap_unicode_init(), cff_decoder_prepare(), cff_face_done(), cff_face_init(), cff_free_glyph_data(), cff_get_cid_from_glyph_index(), cff_get_glyph_data(), cff_get_glyph_name(), cff_get_is_cid(), cff_get_name_index(), cff_operator_seac(), cff_ps_get_font_info(), cff_size_done(), cff_size_get_globals_funcs(), cff_size_init(), cff_size_request(), cff_slot_init(), cff_slot_load(), FT_DEFINE_SERVICE_PSINFOREC(), and tt_face_done().

FT_Byte* TT_FaceRec_::font_program

Definition at line 1349 of file tttypes.h.

Referenced by tt_face_done().

FT_ULong TT_FaceRec_::font_program_size

Definition at line 1348 of file tttypes.h.

Referenced by tt_face_done().

TT_Loader_EndGlyphFunc TT_FaceRec_::forget_glyph_frame

Definition at line 1291 of file tttypes.h.

Referenced by load_truetype_glyph().

FT_ULong TT_FaceRec_::format_tag

Definition at line 1264 of file tttypes.h.

Referenced by cff_face_init(), and tt_face_init().

TT_GaspRec TT_FaceRec_::gasp

Definition at line 1317 of file tttypes.h.

Referenced by FT_Get_Gasp().

FT_ULong TT_FaceRec_::glyf_len

Definition at line 1388 of file tttypes.h.

FT_Byte* TT_FaceRec_::glyph_locations

Definition at line 1405 of file tttypes.h.

Referenced by tt_face_init().

TT_Loader_GotoTableFunc TT_FaceRec_::goto_table

Definition at line 1288 of file tttypes.h.

Referenced by cff_face_init(), load_post_names(), tt_face_load_generic_header(), tt_get_sfnt_checksum(), tt_loader_init(), and tt_sbit_decoder_init().

FT_UInt TT_FaceRec_::hdmx_record_count

Definition at line 1409 of file tttypes.h.

FT_ULong TT_FaceRec_::hdmx_record_size

Definition at line 1410 of file tttypes.h.

FT_Byte* TT_FaceRec_::hdmx_record_sizes

Definition at line 1411 of file tttypes.h.

FT_Byte* TT_FaceRec_::hdmx_table

Definition at line 1407 of file tttypes.h.

FT_ULong TT_FaceRec_::hdmx_table_size

Definition at line 1408 of file tttypes.h.

TT_Header TT_FaceRec_::header

Definition at line 1268 of file tttypes.h.

Referenced by get_sfnt_table(), tt_face_load_generic_header(), and tt_size_reset().

TT_HoriHeader TT_FaceRec_::horizontal

Definition at line 1269 of file tttypes.h.

Referenced by cff_slot_load(), compute_glyph_metrics(), and get_sfnt_table().

FT_Byte* TT_FaceRec_::horz_metrics

Definition at line 1398 of file tttypes.h.

FT_ULong TT_FaceRec_::horz_metrics_offset

Definition at line 1428 of file tttypes.h.

FT_ULong TT_FaceRec_::horz_metrics_size

Definition at line 1399 of file tttypes.h.

TT_Interpreter TT_FaceRec_::interpreter

Definition at line 1368 of file tttypes.h.

FT_UInt32 TT_FaceRec_::kern_avail_bits

Definition at line 1420 of file tttypes.h.

FT_UInt32 TT_FaceRec_::kern_order_bits

Definition at line 1421 of file tttypes.h.

FT_Byte* TT_FaceRec_::kern_table

Definition at line 1417 of file tttypes.h.

FT_ULong TT_FaceRec_::kern_table_size

Definition at line 1418 of file tttypes.h.

TT_MaxProfile TT_FaceRec_::max_profile

Definition at line 1271 of file tttypes.h.

Referenced by FT_Load_Glyph(), get_sfnt_table(), load_format_20(), load_format_25(), load_truetype_glyph(), and TT_Load_Simple_Glyph().

TT_NameTableRec TT_FaceRec_::name_table

Definition at line 1280 of file tttypes.h.

Referenced by tt_face_get_name().

FT_UInt TT_FaceRec_::num_kern_tables

Definition at line 1419 of file tttypes.h.

FT_ULong TT_FaceRec_::num_locations

Definition at line 1404 of file tttypes.h.

Referenced by FT_Load_Glyph(), and tt_check_single_notdef().

FT_UShort TT_FaceRec_::num_names

Definition at line 1279 of file tttypes.h.

Referenced by tt_face_get_name().

FT_ULong TT_FaceRec_::num_sbit_scales

Definition at line 1328 of file tttypes.h.

FT_UShort TT_FaceRec_::num_tables

Definition at line 1265 of file tttypes.h.

Referenced by sfnt_table_info(), and tt_check_trickyness_sfnt_ids().

TT_OS2 TT_FaceRec_::os2

Definition at line 1282 of file tttypes.h.

Referenced by cff_slot_load(), compute_glyph_metrics(), and get_sfnt_table().

TT_PCLT TT_FaceRec_::pclt

Definition at line 1320 of file tttypes.h.

Referenced by get_sfnt_table().

TT_Postscript TT_FaceRec_::postscript

Definition at line 1283 of file tttypes.h.

Referenced by compute_glyph_metrics(), get_sfnt_table(), and load_post_names().

const char* TT_FaceRec_::postscript_name

Definition at line 1384 of file tttypes.h.

TT_Post_NamesRec TT_FaceRec_::postscript_names

Definition at line 1332 of file tttypes.h.

Referenced by load_format_20(), load_format_25(), and load_post_names().

void* TT_FaceRec_::psnames

Definition at line 1302 of file tttypes.h.

TT_Loader_ReadGlyphFunc TT_FaceRec_::read_composite_glyph

Definition at line 1294 of file tttypes.h.

Referenced by load_truetype_glyph().

TT_Loader_ReadGlyphFunc TT_FaceRec_::read_glyph_header

Definition at line 1292 of file tttypes.h.

Referenced by load_truetype_glyph().

TT_Loader_ReadGlyphFunc TT_FaceRec_::read_simple_glyph

Definition at line 1293 of file tttypes.h.

Referenced by load_truetype_glyph().

FT_FaceRec TT_FaceRec_::root

Definition at line 1260 of file tttypes.h.

Referenced by cff_builder_init(), cff_face_init(), cff_free_glyph_data(), cff_get_glyph_data(), cff_operator_seac(), cff_ps_get_font_info(), cff_slot_load(), compute_glyph_metrics(), load_post_names(), load_truetype_glyph(), tt_face_get_name(), tt_get_sfnt_checksum(), TT_Load_Glyph(), tt_loader_init(), tt_sbit_decoder_init(), and tt_size_reset().

FT_UInt TT_FaceRec_::sbit_num_strikes

Definition at line 1415 of file tttypes.h.

TT_SBit_Scale TT_FaceRec_::sbit_scales

Definition at line 1329 of file tttypes.h.

FT_Byte* TT_FaceRec_::sbit_table

Definition at line 1413 of file tttypes.h.

Referenced by tt_sbit_decoder_init().

FT_ULong TT_FaceRec_::sbit_table_size

Definition at line 1414 of file tttypes.h.

Referenced by tt_sbit_decoder_init().

void* TT_FaceRec_::sfnt

Definition at line 1298 of file tttypes.h.

Referenced by cff_face_done(), cff_get_kerning(), cff_size_request(), cff_slot_load(), tt_face_done(), tt_get_kerning(), and tt_size_request().

TTC_HeaderRec TT_FaceRec_::ttc_header

Definition at line 1262 of file tttypes.h.

Referenced by sfnt_open_font().

FT_Byte* TT_FaceRec_::vert_metrics

Definition at line 1401 of file tttypes.h.

FT_ULong TT_FaceRec_::vert_metrics_offset

Definition at line 1429 of file tttypes.h.

FT_ULong TT_FaceRec_::vert_metrics_size

Definition at line 1402 of file tttypes.h.

TT_VertHeader TT_FaceRec_::vertical

Definition at line 1277 of file tttypes.h.

Referenced by cff_slot_load(), compute_glyph_metrics(), and get_sfnt_table().

FT_Bool TT_FaceRec_::vertical_info

Definition at line 1276 of file tttypes.h.

Referenced by cff_slot_load(), compute_glyph_metrics(), and get_sfnt_table().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/internal/tttypes.h